<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TEmpBadRecordMapper">

  <resultMap id="tEmpBadRecordMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TEmpBadRecord">
    <id property="id" column="ID"/>
    <result property="empName" column="EMP_NAME"/>
    <result property="empId" column="EMP_ID"/>
    <result property="empIdcard" column="EMP_IDCARD"/>
    <result property="project" column="PROJECT"/>
    <result property="projectCode" column="PROJECT_CODE"/>
    <result property="happenTime" column="HAPPEN_TIME"/>
    <result property="remark" column="REMARK"/>
    <result property="loseFee" column="LOSE_FEE"/>
    <result property="loseFeeOther" column="LOSE_FEE_OTHER"/>
	<result property="settleDomain" column="SETTLE_DOMAIN"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateTime" column="UPDATE_TIME"/>
	  <result property="badRecordFlag" column="BAD_RECORD_FLAG"/>
  </resultMap>
	<sql id="Base_Column_List">
		a.ID,
		a.EMP_NAME,
		a.EMP_ID,
		a.EMP_IDCARD,
		a.PROJECT,
		a.PROJECT_CODE,
		a.HAPPEN_TIME,
		a.REMARK,
		a.LOSE_FEE,
		a.LOSE_FEE_OTHER,
		a.CREATE_BY,
		a.UPDATE_BY,
		a.CREATE_NAME,
		a.CREATE_TIME,
		a.UPDATE_TIME,
		a.SETTLE_DOMAIN,
		a.BAD_RECORD_FLAG
	</sql>

	<select id="getBadByIdCard" resultMap="tEmpBadRecordMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM t_emp_bad_record a
		where a.EMP_IDCARD in
		<foreach item="item" index="index" collection="idCardList" open="(" separator="," close=")">
			#{item}
		</foreach>
		GROUP BY a.EMP_IDCARD
	</select>
</mapper>
